#-------------------------------------------------------------------------------
# Define Program, Program Directory, Program Version, Install Directories, and
# Target Names ... set mode to default (empty)
#-------------------------------------------------------------------------------
PROGRAM				= SLBM_Test_Java
PROG_NAM			= SLBM_Test_Java


JSOURCE_DIR			= src/slbmtest/
LIB_DIR				= ../lib/
CLASSPATH_DIR		= src/slbmtest/

BUILD_DATE	=`date`

all : info slbmtestjava cleanclasses done


cleanclasses :
	@ echo "removing files"
	rm -f src/slbmtest/SLBMTest.class
	@ echo ""

slbmtestjava:
	@ echo "compiling SLBMTest.java"
	@ cd src/slbmtest; \
	javac -classpath ../../../lib/slbmjni.jar SLBMTest.java
	@ cd src; \
	jar -cmf  MANIFEST.mf ../../bin/slbmtest.jar ../../lib/slbmjni.jar slbmtest/SLBMTest.class
	@ echo ""

info :
	@ echo "========================================="
	@ echo "Building" $(PROG_NAM)
	@ -javac -version
	@ echo ""

done :
	@echo "Done building" $(PROG_NAM)
	@ echo ""
